Subject: [OAUTH-WG] [Editorial Errata Reported] RFC7591 (6619)

From: RFC Errata System <[email-masked]>
Date: Tue, 22 Jun 2021 11:47:26 -0700 (PDT)

The following errata report has been submitted for RFC7591,
"OAuth 2.0 Dynamic Client Registration Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6619

--------------------------------------
Type: Editorial
Reported by: Dave Isaacs <[email-masked]>

Section: 2

Original Text
-------------
token_endpoint_auth_method
      String indicator of the requested authentication method for the
      token endpoint.  Values defined by this specification are:

      *  "none": The client is a public client as defined in OAuth 2.0,
         Section 2.1, and does not have a client secret.

      *  "client_secret_post": The client uses the HTTP POST parameters
         as defined in OAuth 2.0, Section 2.3.1.

      *  "client_secret_basic": The client uses HTTP Basic as defined in
         OAuth 2.0, Section 2.3.1.

Corrected Text
--------------
Text unchanged. It is the links that are incorrect.

Notes
-----
The links that are present in each bullet—to Section 2.1, and to Section 2.3.1 (twice)—link internally to the current RFC (RFC 7591) when they are supposed to link to the OAuth 2.0 RFC (RFC 6749).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7591 (draft-ietf-oauth-dyn-reg-30)
--------------------------------------
Title               : OAuth 2.0 Dynamic Client Registration Protocol
Publication Date    : July 2015
Author(s)           : J. Richer, Ed., M. Jones, J. Bradley, M. Machulak, P. Hunt
Category            : PROPOSED STANDARD
Source              : Web Authorization Protocol
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: "John R. Levine" <[email-masked]>
Date: 22 Jun 2021 19:03:38 -0400

Htmlized legacy RFCs are created by a script that uses heuristics to add 
formatting to the canonical text document.  One of the limitations of the
script is that it does not know when a section link is to another 
document.

For RFCs published since we switched to XML v3 two years ago, the HTML is 
created directly from the XML and the links are correct.

Since the underlying RFC is correct and currrent RFCs don't have the 
problem we're not planning to try to fix it.

Regards,
John Levine, temporary RFC series manager

> "OAuth 2.0 Dynamic Client Registration Protocol".

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 22 Jun 2021 21:48:49 -0700

On Wed, Jun 23, 2021 at 12:04:47AM +0000, Dave Isaacs wrote:
> Fair enough, I guess. The HTML versions of the older RFCs must be peppered with bad links if this is the case.

Yes, that is true, and we get some periodic errata reports of this nature
as well.

I marked this report as rejected per the policy that John described.

> It is interesting to note that there is a correct link to RFC 6749 in the paragraph immediately before the one I quoted. Given what you have said, I am going to take a wild guess that replacing “OAuth 2.0, Section 2.1” with “Section 2.1 of OAuth 2.0 [RFC6749]” would fix the issue.

IIRC it would have to be "Section 2.1 of [RFC6749]" (with no title of the
referenced RFC).

-Ben

> 
> Dave I
> 
> 
> From: John R. Levine <[email-masked]>
> Date: Tuesday, June 22, 2021 at 7:03 PM
> To: RFC Errata System <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
> Cc: Dave Isaacs <[email-masked]>, [email-masked] <[email-masked]>
> Subject: Re: [Editorial Errata Reported] RFC7591 (6619)
> Have you heard? SurveyMonkey (SVMK Inc.) is now Momentive. Learn more at momentive.ai<https://momentive.ai>

---

From: "John R. Levine" <[email-masked]>
Date: 23 Jun 2021 13:58:16 -0400

> Fair enough, I guess. The HTML versions of the older RFCs must be peppered with bad links if this is the case.

Yes, we've gotten a steady trickle of reports like this.

The htmlizing script is available if someone wants to play with it but I 
think we're already in the region of diminishing returns, and I don't 
think there's any appetite to manually create exception lists for the 
links point in old RFCs.

R's,
John

Regards,